package com.kuxuan.autoclick.model;

import com.kuxuan.autoclick.utils.NumberUtils;

public class Constant {
    public static final String PACKAGE_NAMES = "com.tencent.wework";

    public static final Long CHANGE_PAGE_INTERVAL = NumberUtils.getRandom1000();
    public static final String URL_APP_VERSION = "";
    public static final String URL_CONTRACT_BASE = "";
    public static final String URL_APP_DOWNLOAD = "";

    /**
     * @author lkj
     * @date 2024/2/27 16:06
     * @desc 测试手机的设备id
     */
    public static String[] testDevicesIds = new String[]{"af8d78b7-9360-31de-ab71-728066da4171", "bcaceb03-7992-334f-8049-f084abacc111"};
    /**
     * @author lkj
     * @date 2024/1/22 15:09
     * @desc 当前企业名称
     */
    public static String currCompany;
    /**
     * @author lkj
     * @date 2024/3/28 17:19
     * @desc 当前主体id
     */
    public static String corpid;
    /**
     * @author lkj
     * @date 2024/3/28 17:16
     * @desc 重新获取粉丝列表的次数，最后要归0
     */
    public static int retry = 0;
    /**
     * @author lkj
     * @date 2024/3/25 10:40
     * @desc 当前主体允许的最大创建群数量
     */
    public static int maxGroups = Integer.MAX_VALUE;
    /**
     * @author lkj
     * @date 2024/1/22 15:09
     * @desc 当前企业微信 用户名
     */
    public static String currUser = "";
    /**
     * @auth lkj
     * @Date 2023/5/29 18:15
     * @Describe 企业微信首页面 消息界面
     */
    public static final String MESSAGE_MAIN_UI = "com.tencent.wework.launch.WwMainActivity";
    /**
     * @auth lkj
     * @Date 2023/10/19 10:54
     * @Describe 重新登录页面
     */
    public static final String enterPrisemgr = "com.tencent.wework.enterprisemgr.controller.LoginEnterpriseListActivity";
    /**
     * @auth lkj
     * @Date 2023/5/26 17:22
     * @Describe 请求网络字符串需要添加的后缀
     */
    public static final String SOLT = "ur904wtr5pfctaw9";

    /**
     * @auth lkj
     * @Date 2023/5/29 11:38
     * @Describe 待确认发送的请求域名 测试模式
     */
    public static final String http_debug = "http://duanju.wenxingshuju.com/";
    /**
     * @auth lkj
     * @Date 2023/5/29 11:38
     * @Describe 待确认发送的请求域名 正式模式
     */
    public static final String http_release = "http://dj.wenxingshuju.com/";

    /**
     * @auth lkj
     * @Date 2023/5/29 11:29
     * @Describe 待确认发送的群发消息列表
     */
    public static final String senderConfirm = "api/h5/massMsg/senderConfirm?";
    /**
     * @auth lkj
     * @Date 2023/6/7 18:25
     * @Describe 获取待邀请入群的客户列表
     */
    public static final String waitInvite = "api/h5/customer/waitInvite";
    /**
     * @auth lkj
     * @Date 2023/6/25 10:18
     * @Describe 朋友圈消息
     */
    public static final String momentMsg = "api/h5/momentMsg/senderConfirm?";
    /**
     * @auth lkj
     * @Date 2023/10/24 17:20
     * @Describe 客户端-获取客户共享配置信息
     */
    public static final String waitShare = "api/h5/customer/waitShare?";
    /**
     * @auth lkj
     * @Date 2023/6/9 16:49
     * @Describe 异常上报
     */
    public static final String warnReport = "api/android/warnReport";

    /**
     * @author lkj
     * @date 2024/2/6 18:55
     * @desc 群名称上传
     */
    public static final String uploadGroupName = "api/h5/chatGroup/receiveCreateChatGroupData";
    /**
     * @author lkj
     * @date 2024/2/7 9:53
     * @desc 群主创建群聊
     */
    public static final String getCreateGroupTask = "api/h5/chatGroup/getCreateGroupTask";
    /**
     * @author lkj
     * @date 2024/1/29 16:56
     * @desc 单向好友请求
     */
    public static String oneWayFriend;
    /**
     * @auth lkj
     * @Date 2023/5/29 11:29
     * @Describe 待确认发送的群发消息参数
     */
    public static final String params = "device_id";
    public static final String starttime = "begin_time";
    public static final String endtime = "end_time";
    public static final String sign = "sign";
    /**
     * @auth lkj
     * @Date 2023/5/29 16:23
     * @Describe 桌面企业微信新图标名称
     */
    public static final String APP_ICON_NAME = "企业微信";
    /**
     * @author lkj
     * @date 2024/3/7 15:53
     * @desc 日志上传接口
     */
    public static final String UPLOAD_LOG_URL = "http://duanju.wenxingshuju.com/api/android/sendLogEmail";

    /**
     * @auth lkj
     * @Date 2023/6/6 11:07
     * @Describe 群发功能是否正在执行
     */
    public static boolean sendGroupIsRuning = false;
    /**
     * @auth lkj
     * @Date 2023/6/6 11:07
     * @Describe 拉人入群功能是佛正在执行
     */
    public static boolean addGroupIsRuning = false;
    /**
     * @auth lkj
     * @Date 2023/6/19 10:30
     * @Describe 朋友圈发送消息
     */
    public static boolean friendSendIsRuning = false;

    /**
     * @auth lkj
     * @Date 2023/10/16 16:19
     * @Describe 共享客户给同事
     */
    public static boolean isShareToColleague = false;
    /**
     * @auth lkj
     * @Date 2023/10/18 16:04
     * @Describe 添加共享联系人
     */
    public static boolean isAddShareClient = false;
    /**
     * @author lkj
     * @date 2024/1/8 11:03
     * @desc 单向好友获取
     */
    public static boolean isOneWayFriend = false;
    /**
     * @author lkj
     * @date 2024/1/8 11:03
     * @desc 群主拉群
     */
    public static boolean isLeaderCreateGroup = false;
    /**
     * @author lkj
     * @date 2024/4/8 17:28
     * @desc 退群客户补拉
     */
    public static boolean isOutGroupCustomReturn = false;
    /**
     * @author lkj
     * @date 2024/4/28 10:10
     * @desc 实时邀请入群
     */
    public static boolean isRealTimeAddGroup = false;
    /**
     * @auth lkj
     * @Date 2023/6/9 14:07
     * @Describe 记录企业的位置
     */
    public static int listIndex = 0;
    /**
     * @auth lkj
     * @Date 2023/6/7 17:18
     * @Describe 群聊中允许的最大人数 这个人数设置必须在服务器请求到数据后设置，每个群聊都需要设置一次
     */
    public static int GROUP_PERSON_NUMBER = 0;

}
