package com.kuxuan.autoclick.model;

import java.util.List;

/**
 * @author lkj
 * @date 2024/2/6 16:18
 * @desc 群组上传实体类
 */
public class GroupUpLoadBean {

    /**
     * device_id : string
     * corpid : string
     * user_name : string
     * group_list : [{"owner":"string"，"groupName":"string"}，{"owner":"string"，"groupName":"string"}]
     */

    private String device_id;               //设备id
    private String corpid;                  // 主体id
    private String user_name;               // 客服名
    private List<GroupListBean> group_list; //群聊id

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public List<GroupListBean> getGroup_list() {
        return group_list;
    }

    public void setGroup_list(List<GroupListBean> group_list) {
        this.group_list = group_list;
    }

    public static class GroupListBean {
        /**
         * chat_id : string
         */

        private String owner;
        private String groupName;

        public String getGroupName() {
            return groupName;
        }

        public void setGroupName(String groupName) {
            this.groupName = groupName;
        }

        public String getOwner() {
            return owner;
        }

        public void setOwner(String owner) {
            this.owner = owner;
        }

        @Override
        public String toString() {
            return "GroupListBean{" +
                    "owner='" + owner + '\'' +
                    ", groupName='" + groupName + '\'' +
                    '}';
        }
    }

    @Override
    public String toString() {
        return "GroupUpLoadBean{" +
                "device_id='" + device_id + '\'' +
                ", corpid='" + corpid + '\'' +
                ", user_name='" + user_name + '\'' +
                ", group_list=" + group_list +
                '}';
    }
}
