package com.kuxuan.autoclick.net;


import com.kuxuan.autoclick.model.Constant;
import com.kuxuan.autoclick.model.MainBean;
import com.kuxuan.autoclick.model.TaskBean;
import com.kuxuan.autoclick.model.add_people_into_group.AddGroupBean;
import com.kuxuan.autoclick.model.add_people_into_group.GroupBean;
import com.kuxuan.autoclick.model.add_people_into_group.People;
import com.kuxuan.autoclick.model.groupsend.CompanyBean;
import com.kuxuan.autoclick.net.callback.ResultCallBack;
import com.kuxuan.autoclick.net.request.AccessPresenter;
import com.kuxuan.autoclick.service.GroupSendImplKt;
import com.kuxuan.autoclick.service.SelectMethod;
import com.kuxuan.autoclick.service.WeworkController;
import com.kuxuan.autoclick.utils.LogUtil;
import com.kuxuan.autoclick.utils.StringSort;
import com.kuxuan.autoclick.utils.StringUtils;
import com.kuxuan.autoclick.utils.SystemUtils;

import org.greenrobot.eventbus.EventBus;

import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author lkj
 * @date 2024/4/28 10:20
 * @desc 退群用户重新补拉 执行请求网络
 */
public class OutGroupCustomNet {
    private static OutGroupCustomNet outGroupCustomNet;

    public static OutGroupCustomNet getInstance() {
        if (outGroupCustomNet == null) {
            synchronized (OutGroupCustomNet.class) {
                if (outGroupCustomNet == null) {
                    outGroupCustomNet = new OutGroupCustomNet();
                }
            }
        }
        return outGroupCustomNet;
    }

    /**
     * @author lkj
     * @date 2024/4/8 17:36
     * @desc 退群客户重新补拉 列表获取
     */
    public void outGroupCustom(TaskBean taskBean) {
        LogUtil.e("退群客户重新补拉任务 " + Constant.sendGroupIsRuning + "  " + Constant.addGroupIsRuning + "  " + Constant.friendSendIsRuning + "  " + Constant.isShareToColleague + "  " + Constant.isAddShareClient + "  " + Constant.isLeaderCreateGroup + "  " + Constant.isOutGroupCustomReturn + "  " + Constant.isRealTimeAddGroup);
        if (!Constant.sendGroupIsRuning && !Constant.addGroupIsRuning && !Constant.friendSendIsRuning && !Constant.isShareToColleague && !Constant.isAddShareClient && !Constant.isLeaderCreateGroup && !Constant.isOutGroupCustomReturn && !Constant.isRealTimeAddGroup) {
            Constant.isOutGroupCustomReturn = true;
            Constant.listIndex = 0;
            StringUtils.setMessageData("退群客户重新补拉任务……", 10, 0);
            EventBus.getDefault().post(new MainBean(true));
            long lastTime = System.currentTimeMillis() - 20 * 60 * 1000;
            SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            String deviceid = SystemUtils.getDeviceId(WeworkController.mainActivity);
            String lastT = dateFormat.format(lastTime);
            String currTime = dateFormat.format(System.currentTimeMillis());
            Map<String, Object> map = new HashMap<>();
            map.put("device_id", deviceid);
            map.put("begin_time", lastT);
            map.put("end_time", currTime);
            String sortKey = StringSort.sortKey(map);
            Set<String> set = new HashSet<String>(Arrays.asList(Constant.testDevicesIds));
            AccessPresenter.getInstance().waitSupplementaryInvite(deviceid, lastT, currTime, sortKey, new ResultCallBack<AddGroupBean>() {
                @Override
                public void success(AddGroupBean addGroupBean) {
                    if (set.contains(deviceid)) {
//                        String json = "{\"rst\":{\"list\":[{\"companyName\":\"酷炫公司\",\"corpid\":\"wpezvKNwAAmbKzwTlEPYD_gjMSc-TJHw\",\"owner_type\":2,\"groupBeans\":[{\"corpid\":\"wpezvKNwAAmbKzwTlEPYD_gjMSc-TJHw\",\"chat_id\":\"wrPfCSYQAAuNcIlI6Jb3FNhAk6lhYAcw\",\"sort\":0,\"user_limit\":3,\"groupName\":\"华子\",\"owner\":\"woezvKNwAA9kwVYOH4DWHtrjt0NulDFQ\",\"owner_name\":\"孙浩\",\"people_list\":[{\"external_userid\":\"wmezvKNwAAZGoacMym-8xRfVhrZKDbEg\",\"name\":\"赵震\",\"remark\":\"赵震\",\"id\":15},{\"external_userid\":\"wmezvKNwAA4y2wmGwcJluGVOidn0hzbQ\",\"name\":\"郑鑫宇\",\"remark\":\"郑鑫宇\",\"id\":12},{\"external_userid\":\"wmezvKNwAA1kv0GvhaMaVYfB8z5H3noQ\",\"name\":\"高秀丽\",\"remark\":\"高秀丽\",\"id\":11},{\"external_userid\":\"wmezvKNwAA1kv0GvhaMaVYfB8z5H3noQ\",\"name\":\"刘晓娜\",\"remark\":\"刘晓娜\",\"id\":11},{\"external_userid\":\"wmezvKNwAA1kv0GvhaMaVYfB8z5H3noQ\",\"name\":\"李凯佳\",\"remark\":\"李凯佳\",\"id\":11},{\"external_userid\":\"wmezvKNwAA1kv0GvhaMaVYfB8z5H3noQ\",\"name\":\"沈松(专属客服-饼干)\",\"remark\":\"沈松(专属客服-饼干)\",\"id\":11},{\"external_userid\":\"wmezvKNwAA1kv0GvhaMaVYfB8z5H3noQ\",\"name\":\"名字很土\uD83E\uDD79\",\"remark\":\"名字很土\uD83E\uDD79\",\"id\":11},{\"external_userid\":\"wmezvKNwAA1kv0GvhaMaVYfB8z5H3noQ\",\"name\":\"加油凯哥\",\"remark\":\"加油凯哥\",\"id\":11},{\"external_userid\":\"wmezvKNwAAW9xJ6jIzCTZYIfxomZzSyw\",\"name\":\"翟婧\",\"remark\":\"翟婧\",\"id\":10}]}]}]},\"errno\":\"0\",\"err\":\"成功\",\"timestamp\":\"1713151573\",\"v\":\"1.0.1\",\"auno\":\"0\"}";
//                        addGroupBean = new Gson().fromJson(json, AddGroupBean.class);
//                        LogUtil.e("json:" + json);
                        LogUtil.e("这是测试手机的设备id");
                    } else {
                        LogUtil.e("这是正式手机的设备id ");
                    }
                    if (addGroupBean.getErr().equals("成功")) {
                        AddGroupBean.RstBean rstBean = addGroupBean.getRst();
                        if (rstBean != null) {//群聊2#0226_1
                            WeworkController.weworkService.companyBeans = rstBean.getList();
                            WeworkController.weworkService.canUserCompanyNameList.clear();
                            GroupSendImplKt.getGroupList().clear();
                            WeworkController.weworkService.testNameList.clear();
                            boolean isNullList = false;
                            if (WeworkController.weworkService.companyBeans != null && WeworkController.weworkService.companyBeans.size() > 0) {
                                for (CompanyBean companyBean : WeworkController.weworkService.companyBeans) {
                                    //单位名称
                                    String comName = companyBean.companyName;
                                    LogUtil.e("单位名称：" + comName);
                                    List<GroupBean> groupBeans = companyBean.groupBeans;
                                    if (groupBeans != null && groupBeans.size() > 0) {
                                        for (GroupBean groupBean : groupBeans) {
                                            //群聊名称
                                            String groupName = groupBean.groupName;
                                            LogUtil.e("群聊名称：" + groupName);
                                            List<People> peopleList = groupBean.people_list;
                                            if (peopleList != null && peopleList.size() > 0) {
                                                for (People people : peopleList) {
                                                    //客户名称
                                                    String peopleName = people.name;
                                                    LogUtil.e("客户名称：" + peopleName);
                                                }
                                            } else {
                                                isNullList = true;
                                                LogUtil.e("退群客户企业列表为空");
                                                Constant.isOutGroupCustomReturn = false;
                                                WeworkController.weworkService.runStop();
                                                SelectMethod.getInstance().selectMethod3(taskBean);
                                            }
                                        }
                                    }
                                }
                                if (!isNullList) {
                                    WeworkController.weworkService.startOtherTask(true, taskBean);
                                    LogUtil.e("退群客户企业列表为空");
                                    Constant.isOutGroupCustomReturn = false;
                                    WeworkController.weworkService.runStop();
                                    SelectMethod.getInstance().selectMethod3(taskBean);
                                }
                            } else {
                                LogUtil.e("退群客户企业列表为空");
                                Constant.isOutGroupCustomReturn = false;
                                WeworkController.weworkService.runStop();
                                SelectMethod.getInstance().selectMethod3(taskBean);
//                                    friendSendMethod(taskBean);
                            }
                        } else {
                            LogUtil.e("退群客户列表请求数据为空");
                            Constant.isOutGroupCustomReturn = false;
                            WeworkController.weworkService.runStop();
                            SelectMethod.getInstance().selectMethod3(taskBean);
                        }
                    } else {
                        LogUtil.e("退群客户列表请求失败");
                        Constant.isOutGroupCustomReturn = false;
                        WeworkController.weworkService.runStop();
                        SelectMethod.getInstance().selectMethod3(taskBean);
                    }
                }

                @Override
                public void fail(String error) {
                    Constant.isOutGroupCustomReturn = false;
                    WeworkController.weworkService.runStop();
                }

                @Override
                public void requestComplete() {

                }
            });
        }
    }
}
