package com.kuxuan.autoclick.net.base;

/**
 * @Auth lkj
 * @Date 2023/7/18 14:24
 * @Describe 基础的presenter
 */
public class IBasePresenter<V extends IBaseView> {
    /**
     * 绑定的view
     */
    private V mvpView;

    /**
     * 绑定view
     */
    public void attchView(V mvpView) {
        this.mvpView = mvpView;
    }
    /**
     * 销毁view
     */
    public void detachView() {
        this.mvpView = null;
    }
    /**
     * 是否与View建立连接
     */
    public boolean isAttchedView(){
        return mvpView != null;
    }

    /**
     * 获取连接的view
     */
    public V getView(){
        return mvpView;
    }
}
