package com.kuxuan.autoclick.model;

import java.util.List;

/**
 * @author lkj
 * @date 2024/1/11 10:19
 * @desc 单向好友上传实体
 */
public class UpLoadOneWayBean {

    /**
     * customer : 追剧达人
     * companyName : 实力公司
     * oneways : [{"date":"2023-10-10","oneWayFriendName":"王朝"},{"date":"2023-10-11","oneWayFriendName":"马汉"},{"date":"2023-12-10","oneWayFriendName":"张龙"},{"date":"2023-12-11","oneWayFriendName":"赵虎"}]
     */

    private String customer;
    private String companyName;
    private boolean endUpLoad;
    private int page;
    private int pageSize;
    private List<OnewaysBean> oneways;

    public boolean isEndUpLoad() {
        return endUpLoad;
    }

    public void setEndUpLoad(boolean endUpLoad) {
        this.endUpLoad = endUpLoad;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public List<OnewaysBean> getOneways() {
        return oneways;
    }

    public void setOneways(List<OnewaysBean> oneways) {
        this.oneways = oneways;
    }

    public static class OnewaysBean {
        /**
         * date : 2023-10-10
         * oneWayFriendName : 王朝
         */

        private String date;
        private String oneWayFriendName;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public String getOneWayFriendName() {
            return oneWayFriendName;
        }

        public void setOneWayFriendName(String oneWayFriendName) {
            this.oneWayFriendName = oneWayFriendName;
        }
    }
}
