package com.kuxuan.autoclick.net;

import com.kuxuan.autoclick.model.Constant;
import com.kuxuan.autoclick.model.MainBean;
import com.kuxuan.autoclick.model.TaskBean;
import com.kuxuan.autoclick.service.SelectMethod;
import com.kuxuan.autoclick.service.WeworkController;
import com.kuxuan.autoclick.utils.LogUtil;
import com.kuxuan.autoclick.utils.StringUtils;

import org.greenrobot.eventbus.EventBus;

/**
 * @author lkj
 * @date 2024/4/28 10:20
 * @desc 添加共享联系人 执行请求网络
 */
public class AddShareClientNet {
    private static AddShareClientNet addShareClientNet;

    public static AddShareClientNet getInstance() {
        if (addShareClientNet == null) {
            synchronized (AddShareClientNet.class) {
                if (addShareClientNet == null) {
                    addShareClientNet = new AddShareClientNet();
                }
            }
        }
        return addShareClientNet;
    }

    /**
     * @auth lkj
     * @Date 2023/10/18 16:03
     * @Describe 添加联系人
     */
    public void addShareClient(TaskBean taskBean) {
        LogUtil.e("添加联系人执行任务 " + Constant.sendGroupIsRuning + "  " + Constant.addGroupIsRuning + "  " + Constant.friendSendIsRuning + "  " + Constant.isShareToColleague + "  " + Constant.isAddShareClient + "  " + Constant.isLeaderCreateGroup + "  " + Constant.isOutGroupCustomReturn + "  " + Constant.isRealTimeAddGroup);
        if (!Constant.sendGroupIsRuning && !Constant.addGroupIsRuning && !Constant.friendSendIsRuning && !Constant.isShareToColleague && !Constant.isAddShareClient && !Constant.isLeaderCreateGroup && !Constant.isOutGroupCustomReturn && !Constant.isRealTimeAddGroup) {
            Constant.isAddShareClient = true;
            StringUtils.setMessageData("正在执行添加联系人……", 10, 0);
            EventBus.getDefault().post(new MainBean(true));
            if (WeworkController.weworkService.companyBeans != null) {
                WeworkController.weworkService.companyBeans.clear();
            }
            WeworkController.weworkService.canUserCompanyNameList.clear();
            WeworkController.weworkService.startOtherTask(true, taskBean);
        } else {
            SelectMethod.getInstance().selectMethod6(taskBean);
        }
    }
}
