package com.kuxuan.autoclick.net;

import com.kuxuan.autoclick.model.Constant;
import com.kuxuan.autoclick.model.MainBean;
import com.kuxuan.autoclick.model.TaskBean;
import com.kuxuan.autoclick.service.WeworkController;
import com.kuxuan.autoclick.utils.LogUtil;
import com.kuxuan.autoclick.utils.StringUtils;

import org.greenrobot.eventbus.EventBus;

/**
 * @author lkj
 * @date 2024/4/28 10:20
 * @desc 单向好友上传 执行请求网络
 */
public class OneWayFriendNet {
    private static OneWayFriendNet oneWayFriendNet;

    public static OneWayFriendNet getInstance() {
        if (oneWayFriendNet == null) {
            synchronized (OneWayFriendNet.class) {
                if (oneWayFriendNet == null) {
                    oneWayFriendNet = new OneWayFriendNet();
                }
            }
        }
        return oneWayFriendNet;
    }

    /**
     * @author lkj
     * @date 2024/1/8 11:15
     * @desc 单向好友 上传
     */
    public void oneWayFriend(TaskBean taskBean) {
        LogUtil.e("单向好友执行任务 " + Constant.sendGroupIsRuning + "  " + Constant.addGroupIsRuning + "  " + Constant.friendSendIsRuning + "  " + Constant.isShareToColleague + "  " + Constant.isAddShareClient + "  " + Constant.isOneWayFriend + "  " + Constant.isOutGroupCustomReturn + "  " + Constant.isRealTimeAddGroup);

//        if (!Constant.sendGroupIsRuning && !Constant.addGroupIsRuning && !Constant.friendSendIsRuning && !Constant.isShareToColleague && !Constant.isAddShareClient && !Constant.isOneWayFriend&&!Constant.isOutGroupCustomReturn&&!Constant.isRealTimeAddGroup) {
//            String deviceid = SystemUtils.getDeviceId(MyAccessibilityService.this);
//            Map<String, Object> map = new HashMap<>();
//            map.put("device_id", deviceid);
//            String sortKey = StringSort.sortKey(map);
////        String requestUrl = Constant.http_debug + Constant.oneWayFriend;
//            String requestUrl = Constant.http_release + Constant.oneWayFriend;
//            LogUtil.e("请求链接：" + requestUrl);
//            OkhttpUtils.getInstance().sendSynchronizationPost(requestUrl, deviceid, sortKey, new HttpPostCallBack() {
//                @Override
//                public void callback(String result) {
//                    Constant.isOneWayFriend = true;
//                    EventBus.getDefault().post(new MainBean(true));
////                result = "{\"auno\":\"0\",\"err\":\"成功\",\"errno\":\"0\",\"rst\":{\"list\":[{\"companyName\":\"酷炫公司\",\"sharedBeans\":{\"clientNames\":[\"沈松\",\"那年冬天\"],\"colleagueNames\":[\"侯晓华\",\"孙浩\"]}},{\"companyName\":\"北京时间科技有限公司\",\"sharedBeans\":{\"clientNames\":[\"名字很土\"],\"colleagueNames\":[\"侯晓华\",\"孙浩\"]}}]},\"timestamp\":\"1693481761\",\"v\":\"1.0.1\"}";
//                    RequestMessageBean messageBean = new Gson().fromJson(result, RequestMessageBean.class);
//                    if (messageBean.getErr().equals("成功")) {
//                        RequestMessageBean.RstBean rst = messageBean.getRst();
//                        if (rst.getList() != null && rst.getList().size() > 0) {
//                            companyBeans = rst.getList();
//                            canUserNameList.clear();
//                            LogUtil.e("得到单向好友数据 开始执行任务");
//                            startOtherTask(true, taskBean);
//                        } else {
//                            Constant.isOneWayFriend = false;
//                            EventBus.getDefault().post(new MainBean(false));
//                            LogUtil.e("单向好友执行 设置为false");
//                        }
//                    } else {
//                        Constant.isOneWayFriend = false;
//                        EventBus.getDefault().post(new MainBean(false));
//                        LogUtil.e("单向好友执行 设置为false");
//                    }
//                }
//            });
//        }


        Constant.isOneWayFriend = true;
        StringUtils.setMessageData("正在执行单向好友上传……", 10, 0);
        EventBus.getDefault().post(new MainBean(true));
        if (WeworkController.weworkService.companyBeans != null) {
            WeworkController.weworkService.companyBeans.clear();
        }
        WeworkController.weworkService.canUserCompanyNameList.clear();
        WeworkController.weworkService.startOtherTask(true, taskBean);
    }
    //1.检测 A手机是否包含 b、c、d所创建的群
    //2.上传A手机 未发现b、c、d所创建的群聊
    //3.同时运行 b、c、d 执行创建新群
    //4.A手机执行进入企业通讯录拉人的操作，企业通讯录拉完人后再执行A手机的正常拉人任务
}
