package com.kuxuan.autoclick.net.base;

import io.reactivex.Observable;

/**
 * @Auth lkj
 * @Date 2023/6/21 9:45
 * @Describe view层目前只封装一个显示和一个隐藏即可
 */
public interface IBaseView {
    //显示加载进度
    void showLoading();
    //关闭加载进度
    void hideLoading();
    //绑定生命周期
    void autoDispose(Observable observable);
}
