package com.kuxuan.autoclick.service

import android.graphics.Rect
import android.os.Bundle
import android.os.SystemClock
import android.text.TextUtils
import android.view.accessibility.AccessibilityNodeInfo
import com.blankj.utilcode.util.ThreadUtils
import com.kuxuan.autoclick.R
import com.kuxuan.autoclick.model.Constant
import com.kuxuan.autoclick.model.GroupUpLoadBean
import com.kuxuan.autoclick.model.TaskBean
import com.kuxuan.autoclick.model.add_people_into_group.AddGroupBean
import com.kuxuan.autoclick.model.groupsend.CompanyBean
import com.kuxuan.autoclick.net.callback.ResultCallBack
import com.kuxuan.autoclick.net.request.AccessPresenter
import com.kuxuan.autoclick.utils.*
import com.kuxuan.autoclick.utils.AccessibilityUtil.clickByNode
import com.kuxuan.autoclick.utils.AccessibilityUtil.findAllByClazz
import java.text.SimpleDateFormat
import java.util.*
import kotlin.collections.ArrayList

/**
 * @author lkj
 * @date 2024/2/18 14:26
 * @desc 邀请入群任务 流程
 */
var owner_type = 0
var totalPerson = 0
var tag = "邀请入群日志 - "
fun startAddFriendGroup(taskBean: TaskBean, companyBean: CompanyBean) {
    var groupIds: List<GroupUpLoadBean.GroupListBean> = java.util.ArrayList()
    var loopCount = 0
    for (i in 0 until groupList.size) {
        //这里需要添加一个群聊总人数的设定，然后在开始群聊拉人流程
        var groupPeopleLimit = groupList.get(i).user_limit
        if (groupPeopleLimit == 0) {
            groupPeopleLimit = 35
        }
        Constant.GROUP_PERSON_NUMBER = groupPeopleLimit
        if (i == groupList.size - 1) {
            //这里还需判断一下 剩余多少人没有拉群，没拉群的需要重新创建群聊再次拉群
            if (WeworkController.weworkService.testNameList.size > 0) {
                totalPerson = WeworkController.weworkService.testNameList.size
                LogUtil.e(tag + "人群池 还有 ${WeworkController.weworkService.testNameList.size} 人需要继续拉群！！")
                //随机取出几个人
                LogUtil.e("返回首页")
                returnHome(taskBean, 0)
                owner_type = companyBean.owner_type
                if (companyBean.upper_limit != 0) {
                    Constant.maxGroups = companyBean.upper_limit
                }
                if (companyBean.owner_type == 2) {
                    //拉群模式 群主建群 管理员拉群模式
                    Constant.GROUP_PERSON_NUMBER = Constant.GROUP_PERSON_NUMBER + 1
                    loopCount = Math.ceil(WeworkController.weworkService.testNameList.size.toDouble() / (Constant.GROUP_PERSON_NUMBER - 2)).toInt()
                    if (loopCount > Constant.maxGroups) {
                        loopCount = Constant.maxGroups
                        LogUtil.e(tag + "粉丝量太多，群数量收到限制！！$loopCount")
                    }
                    LogUtil.e(tag + "需要循环 ${loopCount} 次！！群限制数量 ${Constant.GROUP_PERSON_NUMBER}")
                    //检查当前主体是否存在 xxx 群聊 不存在时要上报服务器
                    if (loopCount >= 1) {
                        val bigGlassX = findAllByClazz(getRootCopy(taskBean), Views.TextView)
                        for (bigGlass in bigGlassX) {
                            if (bigGlass != null) {
                                val rect = Rect()
//                                [528,49][624,145]
                                bigGlass.getBoundsInScreen(rect)
//                                LogUtil.e(tag + "打印控件坐标值：" + rect.toShortString())
                                if ((rect.left >= 526 && rect.left <= 530) && (rect.top >= 47 && rect.top <= 51) && (rect.right >= 622 && rect.right <= 626) && (rect.bottom >= 143 && rect.bottom <= 147)) {
                                    LogUtil.e(tag + "找到了 首界面的放大镜 并点击它")
                                    AccessibilityUtil.performClick(bigGlass, true)
                                    var haveGroupAndAdd = false
                                    for (checkCount in 0 until ((loopCount).toInt())) {
                                        if (WeworkController.weworkService.testNameList.size == 0) {
                                            LogUtil.e("粉丝数已经耗尽 结束任务！！")
                                            return
                                        }
                                        if (haveGroupAndAdd) {
                                            LogUtil.e(tag + "第一次检测到群聊已存在，需要走到搜索界面")
                                            AccessibilityUtil.performClick(bigGlass, true)
                                        }
                                        LogUtil.e(tag + "循环次数 " + checkCount)
                                        Thread.sleep(NumberUtils.getRandom1000())
                                        var grName = groupList.get(i).groupName + "#" + FriendSendJava.addGroupDateFormat.format(Date()) + "_" + (checkCount + 1)
                                        var isHaveGroupName = false
                                        //找到搜索框 然后输入名字
                                        val textInput = AccessibilityUtil.findTextInput(getRootCopy(taskBean), grName, true, false)
                                        if (textInput) {
                                            //点击搜索到的群聊名字
                                            val leaderNames = getRootCopy(taskBean)!!.findAccessibilityNodeInfosByText(grName)
                                            if (leaderNames != null) {
                                                if (!leaderNames.isEmpty() && leaderNames.size > 0) {
                                                    for (leaderName in leaderNames) {
                                                        if (leaderName.text.toString() == grName) {
                                                            LogUtil.e(tag + "搜索得到的群名：" + leaderName.text.toString())
                                                            val rect1 = Rect()
                                                            leaderName.getBoundsInScreen(rect1)
                                                            LogUtil.e(tag + "群聊名称的坐标：" + rect1.left + "  " + rect1.top + "  " + rect1.right + "  " + rect1.bottom)
                                                            //[2Constant.GROUP_PERSON_NUMBER,227][523,270]
                                                            if (rect1.left == 152) {
                                                                LogUtil.e(tag + "搜索得到的群名： 返回true")
                                                                isHaveGroupName = true
                                                                LogUtil.e(tag + "这里搜到了 直接点击拉人")
                                                                Thread.sleep(NumberUtils.getRandom1000() - 1000)
                                                                AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, leaderName)
                                                                Thread.sleep(NumberUtils.getRandom1000())
                                                                //点击右上角三个点
                                                                haveGroupAndAdd = true
                                                                clickGroupThreePoint(taskBean, companyBean.companyName, checkCount + 1, true)
                                                                break
                                                            }
                                                        }
                                                    }
                                                } else {
                                                    LogUtil.e(tag + "没找到 $grName 文字")
                                                    //没找到就去通知一下服务器 网络请求服务端 并且等待1分钟
                                                }
                                            } else {
                                                LogUtil.e(tag + "studGroups 为空了！")
                                            }
                                        }
                                        LogUtil.e(tag + "收到检测返回：" + isHaveGroupName)
                                        if (!isHaveGroupName) {
                                            var groupIdBean = GroupUpLoadBean.GroupListBean()
                                            groupIdBean.owner = groupList.get(i).owner
                                            groupIdBean.groupName = grName
                                            groupIds += groupIdBean
                                            LogUtil.e(tag + "未检测到 " + grName)
                                        } else {
                                            LogUtil.e(tag + "检测到了 " + grName)
                                        }
                                    }
                                }
                            } else {

                            }
                        }
                    }
                } else {
                    var loopA = Math.ceil(WeworkController.weworkService.testNameList.size.toDouble() / (Constant.GROUP_PERSON_NUMBER - 1))
                    LogUtil.e(tag + "当前主体允许的最大创建群数量为：${Constant.maxGroups}")
                    LogUtil.e(tag + "需要循环 ${loopA} 次！！群限制数量 ${Constant.GROUP_PERSON_NUMBER}")
                    if (loopA > Constant.maxGroups) {
                        loopA = Constant.maxGroups.toDouble()
                        LogUtil.e(tag + "粉丝量太多，群数量收到限制！！$loopA")
                    }
                    for (k in 0 until loopA.toInt()) {
                        if (WeworkController.weworkService.testNameList.size <= 0) {
                            LogUtil.e(tag + "粉丝已经用尽了，提前结束，不再建群")
                            break
                        }
                        LogUtil.e(tag + "还有粉丝 从循环开始了：剩余${WeworkController.weworkService.testNameList.size}人")
                        var peopleNameList: List<String> = ArrayList()
                        var peopleNumber = 0
                        if (WeworkController.weworkService.testNameList.size < Constant.GROUP_PERSON_NUMBER) {
                            peopleNumber = WeworkController.weworkService.testNameList.size
                        } else {
                            if (Constant.GROUP_PERSON_NUMBER <= 0) {
                                peopleNumber = 35 - 1
                            } else {
                                peopleNumber = Constant.GROUP_PERSON_NUMBER - 1
                            }
                        }
                        NumberUtils.randomTopic(WeworkController.weworkService.testNameList, peopleNumber, peopleNameList)
                        //将被选中的人从总列表中移除
                        for (item in peopleNameList) {
                            WeworkController.weworkService.testNameList.remove(item)
                        }
                        //正常 自己创建群聊自己拉群
                        val toWorkPlate = toWorkPlate("工作台", taskBean, 0)
                        if (toWorkPlate) {
                            Thread.sleep(NumberUtils.getRandom1000())
                            AutoCreateGroup.getInstance().clickGroup(taskBean, peopleNameList, groupList.get(i).groupName, groupList.get(i).announcement, k + 1, companyBean.companyName)
                        }
                    }
                    if (WeworkController.weworkService.testNameList.size > 0) {
                        LogUtil.e(tag + "粉丝剩余 ${WeworkController.weworkService.testNameList.size}人 群数量达到上限 无法继续拉群")
                    }
                }
            }
            if (companyBean.owner_type == 1) {
                //当拉人入群的任务执行完毕 将执行标签置位false
                isHaveCompany(2, taskBean)
            }
        }
    }
    if (companyBean.owner_type == 2) {
        var client_stemp = SPUtils.getInstance().getInt("client_stemp", 1)
        if (client_stemp == 0) {
            client_stemp = 1
        }
        LogUtil.e(tag + "所属群主共有客服 $client_stemp 人")
        val waitTime = 110 * client_stemp
        if (groupIds.size > 0) {
            //上报服务器 信息 并且等待2分钟
            LogUtil.e(tag + "正在上报服务器")
            val deviceid = SystemUtils.getDeviceId(WeworkController.weworkService)
            var upLoadBean = GroupUpLoadBean()
            upLoadBean.device_id = deviceid
            upLoadBean.user_name = Constant.currUser
            upLoadBean.corpid = companyBean.corpid
            upLoadBean.group_list = groupIds
            CheckOrUpLoadGroup.getInstance().createJson(upLoadBean)
            LogUtil.e("返回首页")
            returnHome(taskBean, 0)
            LogUtil.e(tag + "groupids ${groupIds.size}  等待的基本时间 $waitTime")
            StringUtils.setMessageData("正在上报服务器", 40, (groupIds.size * waitTime).toInt())
            Thread.sleep((groupIds.size * waitTime * 1000).toLong())
        } else {
            LogUtil.e(tag + "不需要上报服务器 直接进行拉群操作 ${groupList.size}")
        }
        for (i in 0 until groupIds.size) {
            if (WeworkController.weworkService.testNameList.size <= 0) {
                LogUtil.e(tag + "粉丝已经用尽了，提前结束，不再建群")
                break
            }
            //等待完2分钟后 开始执行拉群任务
            LogUtil.e(tag + "groupids ${groupIds.size}  等待的基本时间 $waitTime")
            LogUtil.e(tag + "等待" + (groupIds.size * waitTime) + "秒完毕 开始拉群")
            if (!ScreenUtil.isScreenOn(WeworkController.weworkService)) {
                LogUtil.e(tag + "判断当前屏幕是黑屏状态，重新唤醒一下")
                ScreenUtil.wakeAndUnlock(WeworkController.weworkService, true)
                SystemClock.sleep(NumberUtils.getRandom1000())
            }
            fromListFindGroup(taskBean, companyBean.companyName, groupIds.get(i).groupName, i + 1)
        }
        isHaveCompany(2, taskBean)
    }
}

/**
 * @auth lkj
 * @Date 2023/6/2 15:38
 * @Describe 从聊天列表中找到群名称
 * 聊天列表  点击右上角放大镜--》找到输入框--》找到群聊名--》点击群聊名--》点击右上角三个点
 */
fun fromListFindGroup(taskBean: TaskBean, companyname: String, groupName: String, serialNumber: Int) {
    //判断一下 是否在消息列表界面
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    //点击右上角放大镜
    val bigGlass417 = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("消息")
    if (bigGlass417 != null) {
        bigglass(bigGlass417, groupName, taskBean, companyname, serialNumber)
    } else {
        LogUtil.e(tag + "没找到消息title")
    }
}

fun bigglass(bigGlass: List<AccessibilityNodeInfo>, groupName: String, taskBean: TaskBean, companyname: String, serialNumber: Int) {
    if (bigGlass.size > 0) {
        if (!taskBean.isLive) {
            LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
            WeworkController.weworkService.taskList.remove(taskBean)
            return
        }
        LogUtil.e(tag + "点击右上角放大镜")
        val bigGlassX = AccessibilityUtil.findAllByClazz(getRootCopy(taskBean), Views.TextView)
        for (bigGlass in bigGlassX) {
            if (bigGlass != null) {
                val rect = Rect()
                bigGlass.getBoundsInScreen(rect)
                if ((rect.left >= 526 && rect.left <= 530) && (rect.top >= 47 && rect.top <= 51) && (rect.right >= 622 && rect.right <= 626) && (rect.bottom >= 143 && rect.bottom <= 147)) {
                    LogUtil.e(tag + "找到了 首界面的放大镜 并点击它")
                    AccessibilityUtil.performClick(bigGlass, true)
                    Thread.sleep(NumberUtils.getRandom1000() - 2000)
                    //右划 关闭软键盘再寻找
                    if (!taskBean.isLive) {
                        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
                        WeworkController.weworkService.taskList.remove(taskBean)
                        return
                    }
                    //找到输入框
                    findSearchInput1(groupName, 0, taskBean, companyname, serialNumber)
                }
            }
        }
    }
}

fun findSearchInput1(groupName: String, count: Int, taskBean: TaskBean, companyname: String, serialNumber: Int) {
    val search417 = AccessibilityUtil.findOnceByClazz(getRootCopy(taskBean), Views.EditText)
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    if (search417 != null) {
        LogUtil.e(tag + "找到 搜索 字样 框")
        hasFindSearch(search417, groupName, taskBean, companyname, serialNumber)
    } else {
        if (count >= 5) {
            LogUtil.e(tag + "没找到 搜索 字样 框")
        } else {
            LogUtil.e(tag + "继续找 搜索 字样 框 count=$count")
            findSearchInput1(groupName, count + 1, taskBean, companyname, serialNumber)

        }
    }
}

fun hasFindSearch(search: AccessibilityNodeInfo?, groupName: String, taskBean: TaskBean, companyname: String, serialNumber: Int) {
    //判断控件是否为输入框 如果是 就将群聊名字设置到输入框中
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    if (search != null) {
        LogUtil.e(tag + "判断控件是否为输入框 " + search.text)

        if (search.className.equals(Views.EditText)) {
            val arguments = Bundle()
            arguments.putCharSequence(AccessibilityNodeInfo.ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE, groupName)
            search.performAction(AccessibilityNodeInfo.ACTION_SET_TEXT, arguments)
            Thread.sleep(NumberUtils.getRandom1000() - 2000)
            //找到群聊名字
            val groupChart = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText(groupName)
            if (groupChart != null && groupChart.size > 1) {
                //点击群聊名字
                for (groupchart in groupChart) {
                    LogUtil.e(tag + "群聊名字搜索结果：  ${groupchart.text.toString()}  ${groupchart.className}")
                    if (groupchart.className.equals(Views.TextView) && groupchart.text.toString().equals(groupName)) {
                        clickGrgoupName(taskBean, companyname, serialNumber, groupName, groupchart)
                    }
                }
            } else {
                LogUtil.e(tag + "没有找到该群聊 $groupName")
                ThreadUtils.runOnUiThread {
                    showToast("没有找到该群聊")
                }
                Thread.sleep(NumberUtils.getRandom1000() - 2000)
                LogUtil.e("返回首页")
                returnHome(taskBean, 0)
            }
        }
    }
}

fun clickGrgoupName(taskBean: TaskBean, companyname: String, serialNumber: Int, groupName: String, groupchart: AccessibilityNodeInfo) {
    LogUtil.e(tag + "点击群聊名字  $groupName")
    AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, groupchart)
    Thread.sleep(NumberUtils.getRandom1000())
    LogUtil.e(tag + "检查点击后是否跳转了界面")
    var isJumpNextActivity = false
    var noJumpNextActivity = false
    val nodeList = OutGroupCustomReturn.getInstance().getNodeList(taskBean, "外部群")
    for (nodeInfo in nodeList) {
        if (nodeInfo != null && !TextUtils.isEmpty(nodeInfo.text)) {
            if (nodeInfo.text.toString().contains("发起收款")) {
                LogUtil.e(tag + "已经到了群聊界面")
                isJumpNextActivity = true
                break
            }
            if (nodeInfo.text.toString().contains("应用提醒")) {
                LogUtil.e(tag + "没有成功 跳转到群聊界面")
                noJumpNextActivity = true
                break
            }
        }
    }
    if (isJumpNextActivity && !noJumpNextActivity) {
        //点击右上角三个点
        clickGroupThreePoint(taskBean, companyname, serialNumber, false)
    } else if (!isJumpNextActivity && noJumpNextActivity) {
        clickGrgoupName(taskBean, companyname, serialNumber, groupName, groupchart)
    } else {
        LogUtil.e(tag + "不在搜索界面了")
    }
}

/**
 * @auth lkj
 * @Date 2023/6/1 14:46
 * @Describe 在群聊界面 点击右上角三个点开始
 */
fun clickGroupThreePoint(taskBean: TaskBean, companyname: String, serialNumber: Int, searchGroupSucceed: Boolean) {
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    LogUtil.e(tag + "点击群聊中右上角的三个点")
    //使用手势点击三个点 首先控件是TextView 左上右下 的 坐标为[624,49][720,145]
    val threePoints = AccessibilityUtil.findAllByClazz(getRootCopy(taskBean), Views.TextView)
    if (threePoints != null) {
        if (!threePoints.isEmpty() && threePoints.size > 0) {
            for (threePoint in threePoints) {
                var rect = Rect()
                threePoint.getBoundsInScreen(rect)
                if ((rect.left >= 620 && rect.left <= 628) && (rect.top >= 47 && rect.top <= 51) && (rect.right >= 718 && rect.right <= 722) && (rect.bottom >= 143 && rect.bottom <= 147)) {
                    LogUtil.e(tag + "根据坐标值 找到右上角的三个点 开始点击")
                    AccessibilityUtil.performClick(threePoint)
                    break
                }
            }
        }
    }
    Thread.sleep(NumberUtils.getRandom1000())
    //判断是否需要添加群名称
    //点击加号 拉人
    threePoint1(taskBean, 0, companyname, serialNumber, searchGroupSucceed)
}

fun groupName1(groupName: List<AccessibilityNodeInfo>, peopleNameList: List<String>, taskBean: TaskBean, searchGroupSucceed: Boolean): Int {
    if (groupName.size > 0) {
        //提取群聊名字中的人数
        val nameText = groupName.get(0).text.toString()
        var number = StringUtils.getNumber(nameText)
        if (number == 0) {
            number = 1
        }
        LogUtil.e(tag + "提取文字中的人数 $number 人")
        //群人数需要服务端指定，因此这个人数是个变量
        if (number >= Constant.GROUP_PERSON_NUMBER) {
            //人数以满
            LogUtil.e(tag + "人数以满")
            if (searchGroupSucceed) {
            } else {
                LogUtil.e("返回首页")
                returnHome(taskBean, 0)
            }
            return 0
        } else {
            //距离群允许的最大人数还差几个人
            var peopleNumber = Constant.GROUP_PERSON_NUMBER - number
            LogUtil.e(tag + "还差 $peopleNumber 人")
            //如果列表中剩余的人数不足够时，就以列表的数量为准
            if (peopleNumber <= WeworkController.weworkService.testNameList.size) {
                LogUtil.e(tag + "人群池 只有${WeworkController.weworkService.testNameList.size} 人")
            } else {
                LogUtil.e(tag + "人群池 有${WeworkController.weworkService.testNameList.size} 人")
                peopleNumber = WeworkController.weworkService.testNameList.size
            }
            //随机取出几个人
            NumberUtils.randomTopic(WeworkController.weworkService.testNameList, peopleNumber, peopleNameList)
            LogUtil.e(tag + "取出 ${peopleNameList.size} 人")
            //将被选中的人从总列表中移除
            for (item in peopleNameList) {
                WeworkController.weworkService.testNameList.remove(item)
            }
            LogUtil.e(tag + "移除 ${peopleNameList.size}人 人群池 剩余${WeworkController.weworkService.testNameList.size}人")
            LogUtil.e(tag + "当前群还可以继续拉 $peopleNumber 个人")
            return peopleNumber
        }
        //		sleep(NumberUtils.getRandom1000() - 2000)
        return number
    } else {
        LogUtil.e(tag + "没找到文字  群成员")
    }
    return 0
}

fun threePoint1(taskBean: TaskBean, count: Int, companyname: String, serialNumber: Int, searchGroupSucceed: Boolean) {
    /**
     * @auth lkj
     * @Date 2023/8/18 15:27
     * @Describe 点加号有问题  部分手机找不到GridView
     */
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    //	findGridView(peopleNameList, groupPersonCount, 0)
    val lookAllPeople = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("查看全部群成员")
    if (lookAllPeople != null && lookAllPeople.size > 0) {
        LogUtil.e(tag + "点击  ${lookAllPeople.get(0).text}")
        AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, lookAllPeople.get(0))
        Thread.sleep(NumberUtils.getRandom1000() - 2000)
        if (!taskBean.isLive) {
            LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
            WeworkController.weworkService.taskList.remove(taskBean)
            return
        }
        var peopleNameList: List<String> = ArrayList()
        Thread.sleep(NumberUtils.getRandom1000() - 2000)
        var groupPersonCount = 0
        //判断群聊中的人数 目前要求 人数小于等于40人
        val groupName417 = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("群成员")
        if (groupName417 != null) {
            groupPersonCount = groupName1(groupName417, peopleNameList, taskBean, searchGroupSucceed)
        } else {
            LogUtil.e(tag + "没有 找到群成员 文字")
        }

        if (!taskBean.isLive) {
            LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
            WeworkController.weworkService.taskList.remove(taskBean)
            return
        }
        if (peopleNameList.size > 0) {
            clickRightTopPoint(taskBean, peopleNameList, serialNumber, companyname)
        } else {
            LogUtil.e(tag + "拉群人数为 0 了  返回执行下一个群聊")
            if (searchGroupSucceed) {
                LogUtil.e(tag + "开始搜到了群聊 需要返回到搜索界面，不能在首页")
                OutGroupCustomReturn.getInstance().backWhere(taskBean, "输入关键词搜索")
            } else {
                LogUtil.e("返回首页")
                returnHome(taskBean, 0)
            }
        }
    } else {
        if (count > 3) {
            LogUtil.e(tag + "不找了 查看全部群成员")
        } else {
            LogUtil.e(tag + "没找到 查看全部群成员！！")
            Thread.sleep(1000)
            threePoint1(taskBean, count + 1, companyname, serialNumber, searchGroupSucceed)
        }
    }
}

fun clickRightTopPoint(taskBean: TaskBean, peopleNameList: List<String>, serialNumber: Int, companyname: String) {
    LogUtil.e(tag + "点击右上角的位置")
    AccessibilityUtil.clickByNode(WeworkController.weworkService, 672, 97)
    Thread.sleep(NumberUtils.getRandom1000() - 2000)
    val addNewPeople = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("添加成员")
    if (addNewPeople != null && addNewPeople.size > 0) {
        LogUtil.e(tag + "点击  ${addNewPeople.get(0).text}")
        AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, addNewPeople.get(0))
        Thread.sleep(NumberUtils.getRandom1000() - 2000)
        LogUtil.e(tag + "点击放大镜拉人 ${peopleNameList.size}")
        searchPerson(peopleNameList, taskBean, serialNumber, companyname)
    } else {
        LogUtil.e(tag + "直接 点击放大镜拉人 ${peopleNameList.size}")
        searchPerson(peopleNameList, taskBean, serialNumber, companyname)
    }
}

fun searchPerson(peopleNameList: List<String>, taskBean: TaskBean, serialNumber: Int, companyname: String) {
    var count = 0
    LogUtil.e(tag + "点击 放大镜 拉人  ${peopleNameList.size}  true")
    clickBigGlass(peopleNameList, taskBean, 0, serialNumber, companyname)
}

fun selectOver(taskBean: TaskBean, peopleNameList: List<String>, serialNumber: Int, companyname: String) {
    //选择完联系人后 点击确定
    if (!taskBean.isLive) {
        WeworkController.weworkService.taskList.remove(taskBean)
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        return
    }
    //既然走到了这一步说明 上面有进行搜索客户的操作 如果界面有变化 需要重新返回找回这个界面，然后找到确定按钮 把需要的
    val confirm = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("确定(")
    var isClickConfirm: Boolean = false
    if (confirm != null && confirm.size > 0) {
        AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, confirm.get(0))
        LogUtil.e(tag + "" + confirm.get(0).text)
        isClickConfirm = true
        Thread.sleep(NumberUtils.getRandom1000())
        //这里加入一个异常情况的处理 处理被删除后的人，在执行拉人入群时会产生弹框，将弹框处理掉
        if (!taskBean.isLive) {
            LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
            WeworkController.weworkService.taskList.remove(taskBean)
            return
        }
        val morePeople = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("当前群聊人数较多")
        if (morePeople != null && !morePeople.isEmpty() && morePeople.size >= 0) {
            val goOn = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("邀请")
            if (goOn != null && !goOn.isEmpty() && goOn.size >= 0) {
                for (goOnNode in goOn) {
                    if (goOnNode.text.toString().equals("邀请")) {
                        AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, goOnNode)
                        LogUtil.e(tag + "点击了 邀请 " + goOnNode.text)
                        Thread.sleep(NumberUtils.getRandom1000())
                    }
                }
            }
        } else {
            LogUtil.e(tag + "没有人员数量超过40的提示弹框 后面的操作继续！")
        }
        removeExceptDialog(taskBean)
        Thread.sleep(2000)
        checkGroupPersonNumber(taskBean, peopleNameList, serialNumber, isClickConfirm, companyname)
    } else {
        checkGroupPersonNumber(taskBean, peopleNameList, serialNumber, isClickConfirm, companyname)
    }
}

fun checkGroupPersonNumber(taskBean: TaskBean, peopleNameList: List<String>, serialNumber: Int, isClickConfirm: Boolean, companyname: String) {
    //在这里再增加一个群成员数量的检查
    LogUtil.e(tag + "检查群内人数")
    removeExceptDialog(taskBean)
    if (owner_type == 1) {
        val builder = screenAllTextInfo(taskBean)
        LogUtil.e(tag + "当前页面信息：${builder.toString()}")
        if (builder.toString().contains("没有找到") || builder.toString().contains("暂无搜索结果")) {
            LogUtil.e(tag + "找不到粉丝  返回三次判断人数")
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1000)
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1000)
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1000)
            checkGroupPersonNumber(taskBean, peopleNameList, serialNumber, isClickConfirm, companyname)
        }
        if (builder.toString().contains("群成员(")) {
            LogUtil.e(tag + "在群成员界面 返回到设置界面判断！！")
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1000)
        }
        val builder1 = screenAllTextInfo(taskBean)
        LogUtil.e(tag + "retry2 一下")
        retry(taskBean, builder1, serialNumber, peopleNameList, companyname)
        //点击完确定后 需要返回一次页面方可找到退群按钮
    } else if (owner_type == 2) {
        LogUtil.e(tag + "点击完确定后 需要返回一次页面方可找到退群按钮")
        if (isClickConfirm) {
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1500)
            val builder = screenAllTextInfo(taskBean)
            LogUtil.e(tag + "当前页面信息：${builder.toString()}")
            LogUtil.e(tag + "retry2 一下")
            retry(taskBean, builder, serialNumber, peopleNameList, companyname)
        } else {
            LogUtil.e(tag + "没有点击到确定键！！")
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1500)
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1500)
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1500)
            AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
            Thread.sleep(1500)
            val builder = screenAllTextInfo(taskBean)
            LogUtil.e(tag + "当前页面信息：${builder.toString()}")
            LogUtil.e(tag + "retry2 一下")
            retry(taskBean, builder, serialNumber, peopleNameList, companyname)
        }
        val builder = screenAllTextInfo(taskBean)
        LogUtil.e(tag + "当前页面信息：${builder.toString()}")
        val identityId = SPUtils.getInstance().getInt("identityId", R.id.radio_2)
        val auto_out_group = SPUtils.getInstance().getBoolean("auto_out_group", false)
        if (owner_type == 2 && builder.toString().contains("由企业微信用户创建")) {
            if (identityId == R.id.radio_2 && auto_out_group) {
                LogUtil.e(tag + "设置中打开了自动退群的开关")
                //在返回首页之前，拉粉的客服执行一次退群操作 千阳说加的功能 2024-03-14
                LogUtil.e(tag + "在返回首页之前，拉粉的客服执行一次退群操作")
                AccessibilityUtil.scrollByXY(WeworkController.weworkService, 100, 1000, 0, -500)
                Thread.sleep(1500)
                outGroupMethod(taskBean)
            } else {
                LogUtil.e(tag + "设置中打开了自动退群的开关")
            }
        }
        //返回首页
        LogUtil.e(tag + "返回首页")
        returnHome(taskBean, 0)
    }
}

fun retry(taskBean: TaskBean, builder: StringBuilder, serialNumber: Int, peopleNameList: List<String>, companyname: String) {
    if (builder.toString().contains("由企业微信用户创建")) {//群设置界面
        LogUtil.e(tag + "判断走到了这里   群设置界面")
        val allPeoples = findAllByClazz(getRootCopy(taskBean), Views.TextView)
//        val allPeoples = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("人")
        if (allPeoples != null) {
            LogUtil.e(tag + "allPeoples   存在的 ${allPeoples.size}")
            var number = 0
            for (allPeople in allPeoples) {
                val rect = Rect()
                allPeople.getBoundsInScreen(rect)//[577,540][630,586]
//                LogUtil.e(tag+"文字：${allPeople.text}坐标位置 ：${rect.toShortString()} ")
                if (!TextUtils.isEmpty(allPeople.text) && allPeople.text.toString().contains("人") && (rect.right >= 628 && rect.right <= 632)) {
                    val replace = allPeople.text.toString().replace("人", "")
                    if (TextUtils.isDigitsOnly(replace)) {
                        number = Integer.valueOf(replace)
                        LogUtil.e(tag + "此时的群人数：" + number + "  限制为：" + Constant.GROUP_PERSON_NUMBER)
                        if (number < Constant.GROUP_PERSON_NUMBER) {
                            LogUtil.e(tag + "当前的群 没有拉满 !!")
                            //一种是有流失的人 ； 一种是本身就没有那么多的粉丝
                            //距离群允许的最大人数还差几个人
                            var peopleNumber = Constant.GROUP_PERSON_NUMBER - number
                            //如果列表中剩余的人数不足够时，就以列表的数量为准
                            if (peopleNumber <= WeworkController.weworkService.testNameList.size) {
                                LogUtil.e(tag + "人群池 只有${WeworkController.weworkService.testNameList.size} 人")
                            } else {
                                LogUtil.e(tag + "人群池 有${WeworkController.weworkService.testNameList.size} 人")
                                peopleNumber = WeworkController.weworkService.testNameList.size
                            }
                            LogUtil.e(tag + "还可以拉 $peopleNumber 个人")
                            if (peopleNumber > 0) {
                                LogUtil.e(tag + "还有剩余人数 继续拉群！！")
                                threePoint1(taskBean, 0, "", serialNumber, false)
                            } else {
                                LogUtil.e(tag + "没人了 继续后边的流程吧！！")
                                Constant.retry++
                                if (Constant.retry < 6) {
                                    LogUtil.e(tag + "重新获取粉丝列表第 ${Constant.retry} 次！")
                                    var otherNumber = 0
                                    if (owner_type == 1) {
                                        otherNumber = 1
                                    } else {
                                        otherNumber = 2
                                    }
                                    LogUtil.e(tag + "群内原始人？ $otherNumber 人")
                                    var needPeopleNumber = totalPerson - (number - otherNumber + (serialNumber - 1) * (Constant.GROUP_PERSON_NUMBER - 1))
                                    retryNet(taskBean, Constant.retry, Constant.corpid, needPeopleNumber, 2, peopleNameList, serialNumber, peopleNumber, companyname)
                                } else {
                                    LogUtil.e(tag + "已经重新获取粉丝列表5次了！")
                                    //返回首页
                                    LogUtil.e(tag + "返回首页")
                                    returnHome(taskBean, 0)
                                    if (Constant.retry == 5) {
                                        if (WeworkController.weworkService.testNameList.size <= 0) {
                                            LogUtil.e(tag + "粉丝已经用尽了，提前结束，不再建群")
                                            return
                                        }
                                    }
                                }
                            }
                        } else {
                            LogUtil.e(tag + "当前的群 群人数已经拉满了 可以进行下一步了")
                            goOnGroup(taskBean, peopleNameList, companyname, builder, number, serialNumber)
                            return
                        }
                    } else {
                        LogUtil.e(tag + "该字符串不是数字!!")
                        continue
                    }
                } else {
//                    LogUtil.e(tag + "没找到包含“人”的")
                    if (allPeoples.size == 0) {//这时表示群设置中只有群主存在 需要向服务端请求了 要人数了
                        if (WeworkController.weworkService.testNameList.size > 0) {
                            //随机取出几个人
                            NumberUtils.randomTopic(WeworkController.weworkService.testNameList, Constant.GROUP_PERSON_NUMBER - 1, peopleNameList)
                            //将被选中的人从总列表中移除
                            for (item in peopleNameList) {
                                WeworkController.weworkService.testNameList.remove(item)
                            }
                            LogUtil.e(tag + "移除 ${peopleNameList.size}人 人群池 剩余${WeworkController.weworkService.testNameList.size}人")
                            //点击加号 拉人
                            LogUtil.e(tag + "还有人数 点击+号键拉人")
                            clickByNode(WeworkController.weworkService, 230, 395)
                            SystemClock.sleep(NumberUtils.getRandom1000())
                            //这一步 在选择联系人 界面去点放大镜
                            clickBigGlass(peopleNameList, taskBean, 0, serialNumber, companyname)
                        } else {
                            LogUtil.e(tag + "群设置中只有群主存在 需要向服务端请求了 要人数了")
                            Constant.retry++
                            if (Constant.retry < 6) {
                                var peopleNumber = Constant.GROUP_PERSON_NUMBER - 1
                                LogUtil.e(tag + "重新获取粉丝列表第 ${Constant.retry} 次！")
                                var needPeopleNumber = totalPerson - (1 + (serialNumber - 1) * (Constant.GROUP_PERSON_NUMBER - 1))
                                retryNet(taskBean, Constant.retry, Constant.corpid, needPeopleNumber, 2, peopleNameList, serialNumber, peopleNumber, companyname)
                            } else {
                                LogUtil.e(tag + "已经重新获取粉丝列表5次了！")
                                //返回首页
                                LogUtil.e(tag + "返回首页")
                                returnHome(taskBean, 0)
                                if (Constant.retry == 5) {
                                    if (WeworkController.weworkService.testNameList.size <= 0) {
                                        LogUtil.e(tag + "粉丝已经用尽了，提前结束，不再建群")
                                        return
                                    }
                                }
                            }
                        }
                    }
                }
            }
//            if (WeworkController.weworkService.testNameList.size > 0) {
//                LogUtil.e(tag + "有剩余人数 人群池 " + WeworkController.weworkService.testNameList.size)
//                if (owner_type == 2) {
//                    number = number + 1
//                }
//                LogUtil.e(tag + "判断 number：" + number + " 群限制数量： " + Constant.GROUP_PERSON_NUMBER)
//                if (number < Constant.GROUP_PERSON_NUMBER) {
//                    LogUtil.e(tag + "群人数不满 继续点全部群成员拉人拉人")
//                    threePoint1(taskBean, 0, "", serialNumber, false)
//                } else {
//                    LogUtil.e(tag + "群人数已满 继续新群创建")
//                }
//            } else {
//                LogUtil.e(tag + "此时没有剩余人数可用！！")
//                //如果群数量没有满足
//                if (serialNumber < Constant.maxGroups) {
//                    LogUtil.e(tag + "群数量（${Constant.maxGroups}）没有满足,当前是：$serialNumber")
//                    Constant.retry++
//                    if (Constant.retry < 6) {
//                        var peopleNumber = Constant.GROUP_PERSON_NUMBER - 1
//                        LogUtil.e(tag + "重新获取粉丝列表第 ${Constant.retry} 次！")
//                        var needPeopleNumber = totalPerson - (number + (serialNumber - number) * (Constant.GROUP_PERSON_NUMBER - 1))
//                        retryNet(taskBean, Constant.retry, Constant.corpid, needPeopleNumber, 2, peopleNameList, serialNumber, peopleNumber, companyname)
//                    } else {
//                        LogUtil.e(tag + "已经重新获取粉丝列表5次了！")
//                        //返回首页
//                        LogUtil.e(tag + "返回首页")
//                        returnHome(taskBean, 0)
//                        if (Constant.retry == 5) {
//                            if (WeworkController.weworkService.testNameList.size <= 0) {
//                                LogUtil.e(tag + "粉丝已经用尽了，提前结束，不再建群")
//                                return
//                            }
//                        }
//                    }
//                }
//            }//清燕 没有创建成功
        } else {
            LogUtil.e(tag + "allPeoples 为空了")
            var number = 1;
            LogUtil.e(tag + "此时的群人数：" + number + "  限制为：" + Constant.GROUP_PERSON_NUMBER)
            if (number < Constant.GROUP_PERSON_NUMBER) {
                LogUtil.e(tag + "当前的群 没有拉满 !!")
                //一种是有流失的人 ； 一种是本身就没有那么多的粉丝
                //距离群允许的最大人数还差几个人
                var peopleNumber = Constant.GROUP_PERSON_NUMBER - number
                //如果列表中剩余的人数不足够时，就以列表的数量为准
                if (peopleNumber <= WeworkController.weworkService.testNameList.size) {
                    LogUtil.e(tag + "人群池 只有${WeworkController.weworkService.testNameList.size} 人")
                } else {
                    LogUtil.e(tag + "人群池 有${WeworkController.weworkService.testNameList.size} 人")
                    peopleNumber = WeworkController.weworkService.testNameList.size
                }
                LogUtil.e(tag + "还可以拉 $peopleNumber 个人")
                if (peopleNumber > 0) {
                    LogUtil.e(tag + "还有剩余人数 继续拉群！！")
                    threePoint1(taskBean, 0, "", serialNumber, false)
                } else {
                    LogUtil.e(tag + "没人了 继续后边的流程吧！！")
                    Constant.retry++
                    if (Constant.retry < 6) {
                        LogUtil.e(tag + "重新获取粉丝列表第 ${Constant.retry} 次！")
                        var otherNumber = 0
                        if (owner_type == 1) {
                            otherNumber = 1
                        } else {
                            otherNumber = 2
                        }
                        LogUtil.e(tag + "多余的人有几个？ $otherNumber")
                        var needPeopleNumber = totalPerson - (number - otherNumber + (serialNumber - 1) * (Constant.GROUP_PERSON_NUMBER - 1))
                        retryNet(taskBean, Constant.retry, Constant.corpid, needPeopleNumber, 3, peopleNameList, serialNumber, peopleNumber, companyname)
                    } else {
                        LogUtil.e(tag + "已经重新获取粉丝列表5次了！")
                        //返回首页
                        LogUtil.e(tag + "返回首页")
                        returnHome(taskBean, 0)
                        if (Constant.retry == 5) {
                            if (WeworkController.weworkService.testNameList.size <= 0) {
                                LogUtil.e(tag + "粉丝已经用尽了，提前结束，不再建群")
                                return
                            }
                        }
                    }
                }
            } else {
                LogUtil.e(tag + "当前的群 群人数已经拉满了 可以进行下一步了")
                //返回首页
                LogUtil.e(tag + "返回首页")
                returnHome(taskBean, 0)
            }
        }
    } else {
        LogUtil.e("由企业微信用户创建 没有满足判断条件！！")
    }
}

fun goOnGroup(taskBean: TaskBean, peopleNameList: List<String>, companyname: String, builder: StringBuilder, number: Int, serialNumber: Int) {
    LogUtil.e(tag + "判断条件打印：" + (serialNumber <= Constant.maxGroups) + "  " + (Constant.retry <= 5) + "  " + (WeworkController.weworkService.testNameList.size == 0))
    if (serialNumber <= Constant.maxGroups && Constant.retry <= 5 && WeworkController.weworkService.testNameList.size == 0) {
        var peopleNumber = Constant.GROUP_PERSON_NUMBER - 1
        var needPeopleNumber = 0;
        Constant.retry++
        LogUtil.e(tag + "重新获取粉丝列表第 ${Constant.retry} 次！")
        if (owner_type == 1) {
            needPeopleNumber = totalPerson - (1 + (serialNumber - 1) * (Constant.GROUP_PERSON_NUMBER - 1))
        } else if (owner_type == 2) {
            needPeopleNumber = totalPerson - (number - 2 + (serialNumber - 1) * (Constant.GROUP_PERSON_NUMBER - 1))
        }
        retryNet(taskBean, Constant.retry, Constant.corpid, needPeopleNumber, 4, peopleNameList, serialNumber, peopleNumber, companyname)
    } else {
        LogUtil.e(tag + "已经重新获取粉丝列表5次了！")
        val identityId = SPUtils.getInstance().getInt("identityId", R.id.radio_2)
        val auto_out_group = SPUtils.getInstance().getBoolean("auto_out_group", false)
        if (owner_type == 2 && builder.toString().contains("由企业微信用户创建")) {
            if (identityId == R.id.radio_2 && auto_out_group) {
                LogUtil.e(tag + "设置中打开了自动退群的开关")
                //在返回首页之前，拉粉的客服执行一次退群操作 千阳说加的功能 2024-03-14
                LogUtil.e(tag + "在返回首页之前，拉粉的客服执行一次退群操作")
                AccessibilityUtil.scrollByXY(WeworkController.weworkService, 100, 1000, 0, -500)
                Thread.sleep(1500)
                outGroupMethod(taskBean)
            } else {
                LogUtil.e(tag + "设置中关闭了自动退群的开关")
            }
        }
        //返回首页
        LogUtil.e(tag + "返回首页")
        returnHome(taskBean, 0)
    }
}

/**
 * 重新获取粉丝列表
 */
fun retryNet(taskBean: TaskBean, retry: Int, corpid: String, customer_number: Int, type: Int, peopleNameList: List<String>, serialNumber: Int, peopleNumber: Int, companyname: String) {
    val deviceid = SystemUtils.getDeviceId(WeworkController.weworkService)
    val lastTime = System.currentTimeMillis() - 20 * 60 * 1000
    val dateFormat = SimpleDateFormat("yyyy-MM-dd HH:mm:ss")
    val lastT = dateFormat.format(lastTime)
    val currTime = dateFormat.format(System.currentTimeMillis())
    val map: MutableMap<String, Any> = HashMap()
    map["device_id"] = deviceid
    map["begin_time"] = lastT
    map["end_time"] = currTime
    map["retry"] = retry
    map["corpid"] = corpid
    map["customer_number"] = customer_number
    val sortKey = StringSort.sortKey(map)
    var isContinue = false
    AccessPresenter.getInstance().waitInvite(deviceid, lastT, currTime, retry, corpid, customer_number, sortKey, object : ResultCallBack<AddGroupBean?> {
        override fun fail(error: String) {}
        override fun requestComplete() {}
        override fun success(addGroupBean: AddGroupBean?) {
            if (addGroupBean?.err == "成功") {
                val rstBean = addGroupBean.rst
                if (rstBean != null) { //群聊2#0226_1
                    val companyBeans = rstBean.list
                    if (companyBeans != null && companyBeans.size > 0) {
                        for (companyBean in companyBeans) {
                            //单位名称
                            val comName = companyBean.companyName
                            LogUtil.e(tag + "单位名称：$comName")
                            val peopleList = companyBean.peopleList
                            if (peopleList != null && peopleList.size > 0) {
                                LogUtil.e(tag + "获取到了粉丝数量：${peopleList.size}")
                                for (people in peopleList) {
                                    //客户名称
                                    val peopleName = people.name
                                    WeworkController.weworkService.testNameList.add(peopleName)
                                    LogUtil.e(tag + "客户名称：$peopleName")
                                }
                            }
                        }
                        isContinue = true
                    } else {
                        LogUtil.e(tag + "拉人入群企业列表为空")
                    }
                } else {
                    LogUtil.e(tag + "拉人入群请求数据为空")
                }
            } else {
                LogUtil.e(tag + "拉人入群请求失败")
            }
        }
    })
    Thread.sleep(2000)
    if (isContinue) {
        if (type == 1) {
            LogUtil.e(tag + "获取到了粉丝 继续拉群吧！")
            clickRightTopPoint(taskBean, peopleNameList, serialNumber, companyname)
        } else if (type == 2) {
            LogUtil.e(tag + "获取到了粉丝 继续拉群吧！！")
            //随机取出几个人
            NumberUtils.randomTopic(WeworkController.weworkService.testNameList, peopleNumber, peopleNameList)
            //将被选中的人从总列表中移除
            for (item in peopleNameList) {
                WeworkController.weworkService.testNameList.remove(item)
            }
            LogUtil.e(tag + "移除 ${peopleNameList.size}人 人群池 剩余${WeworkController.weworkService.testNameList.size}人")
            //点击查看全部群成员 拉人
            threePoint1(taskBean, 0, companyname, serialNumber, false)
        } else if (type == 3) {
            //随机取出几个人
            NumberUtils.randomTopic(WeworkController.weworkService.testNameList, peopleNumber, peopleNameList)
            //将被选中的人从总列表中移除
            for (item in peopleNameList) {
                WeworkController.weworkService.testNameList.remove(item)
            }
            LogUtil.e(tag + "移除 ${peopleNameList.size}人 人群池 剩余${WeworkController.weworkService.testNameList.size}人")
            clickByNode(WeworkController.weworkService, 230, 395)
            SystemClock.sleep(NumberUtils.getRandom1000())
            //这一步 在选择联系人 界面去点放大镜
            clickBigGlass(peopleNameList, taskBean, 0, serialNumber, companyname)
        } else if (type == 4) {
            val identityId = SPUtils.getInstance().getInt("identityId", R.id.radio_2)
            val auto_out_group = SPUtils.getInstance().getBoolean("auto_out_group", false)
            if (owner_type == 2) {
                if (identityId == R.id.radio_2 && auto_out_group) {
                    LogUtil.e(tag + "设置中打开了自动退群的开关")
                    //在返回首页之前，拉粉的客服执行一次退群操作 千阳说加的功能 2024-03-14
                    LogUtil.e(tag + "在返回首页之前，拉粉的客服执行一次退群操作")
                    AccessibilityUtil.scrollByXY(WeworkController.weworkService, 100, 1000, 0, -500)
                    Thread.sleep(1500)
                    outGroupMethod(taskBean)
                } else {
                    LogUtil.e(tag + "设置中打开了自动退群的开关")
                }
            }
            //返回首页
            LogUtil.e(tag + "返回首页")
            returnHome(taskBean, 0)
        }
    }
}

/**
 * 退出群聊的操作
 */
fun outGroupMethod(taskBean: TaskBean) {
    LogUtil.e(tag + "进入退出群聊的方法中")
    val outGroups = AccessibilityUtil.findAllByClazz(getRootCopy(taskBean), Views.TextView)
    if (outGroups != null) {
        if (!outGroups.isEmpty() && outGroups.size > 0) {
            LogUtil.e(tag + "可以执行退出群里啊的方法")
            for (outGroup in outGroups) {
                if (!TextUtils.isEmpty(outGroup.text)) {
                    var text = outGroup.text.toString()
//                    LogUtil.e(tag + "群退出：" + text)
                    if (text.equals("退出群聊")) {
                        AccessibilityUtil.performClick(outGroup)
                        Thread.sleep(1500)
//                        LogUtil.e(tag + "点击了退出群聊 并出现询问弹框")
                        //这时有个弹框出现
                        val outGroupDialog = AccessibilityUtil.findAllByClazz(getRootCopy(taskBean), Views.TextView)
                        if (outGroupDialog != null) {
                            if (!outGroupDialog.isEmpty() && outGroupDialog.size > 0) {
                                for (outButton in outGroupDialog) {
                                    if (!TextUtils.isEmpty(outButton.text)) {
                                        var btnTv = outButton.text.toString()
                                        LogUtil.e(tag + "弹框：" + btnTv)
                                        if (btnTv.equals("退出")) {
                                            AccessibilityUtil.performClick(outButton)
                                            Thread.sleep(1500)
                                            LogUtil.e(tag + "点击了退出按钮")
                                            //这时有个弹框出现
                                            break
                                        }
                                    }
                                }
                            }
                        } else {
                            LogUtil.e(tag + "outGroupDialog 控件寻找为null")
                        }
                        break
                    }
                }
            }
        }
    } else {
        LogUtil.e(tag + "outGroups 控件寻找为null")
    }
}

/**
 * @auth lkj
 * @Date 2023/6/6 16:36
 * @Describe 点击放大镜
 */
fun clickBigGlass(peopleNameList: List<String>, taskBean: TaskBean, countIndex: Int, serialNumber: Int, companyname: String) {
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    val bigGlass417 = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("选择联系人")
    if (bigGlass417 != null) {
        LogUtil.e(tag + "找到 选择联系人")
        groupBigGlass(bigGlass417, peopleNameList, taskBean, countIndex, serialNumber, companyname)
    } else {
        LogUtil.e(tag + "没找到 选择联系人")
    }
}

fun groupBigGlass(bigGlass: List<AccessibilityNodeInfo>, peopleNameList: List<String>, taskBean: TaskBean, countIndex: Int, serialNumber: Int, companyname: String) {
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    if (bigGlass.size > 0) {
        val rect = Rect()
        bigGlass.get(0).getBoundsInScreen(rect)
        var x = rect.right + 400
        var y = (rect.top + rect.bottom) / 2
        AccessibilityUtil.clickByNode(WeworkController.weworkService, x, y)
        Thread.sleep(NumberUtils.getRandom1000() - 2000)
        LogUtil.e(tag + "点击了 选择联系人  界面 右上角的放大镜")
        //寻找搜索框
        findSearchInput(peopleNameList, 0, taskBean, serialNumber, companyname)
    } else {
        Thread.sleep(NumberUtils.getRandom1000() - 2000)
        if (countIndex >= 5) {
            LogUtil.e(tag + "没找到 选择联系人")
        } else {
            LogUtil.e(tag + "继续找 选择联系人 countIndex=$countIndex")
            clickBigGlass(peopleNameList, taskBean, countIndex + 1, serialNumber, companyname)
        }
    }
}

fun findSearchInput(peopleNameList: List<String>, findSeachCount: Int, taskBean: TaskBean, serialNumber: Int, companyname: String) {
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    val search417 = AccessibilityUtil.findOnceByClazz(getRootCopy(taskBean), Views.EditText)
    if (search417 != null) {
        LogUtil.e(tag + "找到搜索框")
        var numberFlag = 0
        for (name in peopleNameList) {
            //这里增加一下页面的判断，如果在搜索界面 就正常执行任务，如果界面变到别的位置 一般就返回这里继续操作
            returnSearch(0)
            numberFlag++
            search4(search417, name, 0, taskBean, peopleNameList, numberFlag, serialNumber, companyname)
//            Thread.sleep(1000)
        }
        LogUtil.e(tag + "使用列表 剩余人数：${peopleNameList.size}")
        //直接返回 进行下次循环
        returnSearch(0)
        selectOver(taskBean, peopleNameList, serialNumber, companyname)
    } else {
        if (findSeachCount >= 5) {
            LogUtil.e(tag + "没找到 搜索 字样 框")
        } else {
            LogUtil.e(tag + "继续找 搜索 字样 框 findSeachCount=")
            findSearchInput(peopleNameList, findSeachCount + 1, taskBean, serialNumber, companyname)
        }
    }
}

fun returnSearch(count: Int) {
    if (!WeworkController.weworkService.currentClass.equals("com.tencent.wework.contact.controller.ExternalGroupAddMemberSelectActivity")) {
        AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
        Thread.sleep(NumberUtils.getRandom1000())
        if (count > 5) {
            LogUtil.e(tag + "没必要返回了")
        } else {
            returnSearch(count + 1)
        }
    }
}

fun search4(search: AccessibilityNodeInfo, name: String, index: Int, taskBean: TaskBean, peopleNameList: List<String>, numberFlag: Int, serialNumber: Int, companyname: String) {
    //判断控件是否为输入框 如果是 就将客户名字设置到输入框中
    if (!taskBean.isLive) {
        LogUtil.e(tag + "任务取消 ${dafor.format(taskBean.id)} ${taskBean.isLive}")
        WeworkController.weworkService.taskList.remove(taskBean)
        return
    }
    //当系统提示人数超限后 会弹出提示框，这时去掉弹框，直接点击确定 将现有人直接拉到群里
    val customDialog = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("含微信的群聊，同时最多邀请")
    if (customDialog != null && !customDialog.isEmpty() && customDialog.size >= 0) {
        clickIKnown(taskBean, 0, peopleNameList, serialNumber, companyname)
        return
    }
    val arguments = Bundle()
    arguments.putCharSequence(AccessibilityNodeInfo.ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE, name)
    search.performAction(AccessibilityNodeInfo.ACTION_SET_TEXT, arguments)
    Thread.sleep(NumberUtils.getRandom1000() - 2000)
    LogUtil.e(tag + "向搜索框中输入文字：$numberFlag. $name")
    //点击联系人
//    val clientPeople = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText(name)
    val findAllByClazz = findAllByClazz(getRootCopy(taskBean), Views.TextView)
    for (clientPeopleItem in findAllByClazz) {
        if (!TextUtils.isEmpty(clientPeopleItem.text)) {
//                [2Constant.GROUP_PERSON_NUMBER,233][402,279]
            val rect = Rect()
            clientPeopleItem.getBoundsInScreen(rect)
            LogUtil.e(tag + "字符串判断：${clientPeopleItem.text.toString()}  ${rect.left}")
            if (clientPeopleItem.className.equals(Views.TextView)
                    && (clientPeopleItem.text.toString().equals(name) || clientPeopleItem.text.toString().contains(name))
                    && (rect.left >= 232 && rect.left <= 236)) {
                //第二次判断同级之下的控件是否包含 “@微信”
                val childCount = clientPeopleItem.parent.childCount
                if (childCount >= 2) {
                    val child = clientPeopleItem.parent.getChild(1)
                    if (child != null && !TextUtils.isEmpty(child.text)) {
                        if (child.text.toString().contains("@")) {
                            LogUtil.e(tag + "点击用户名 ${clientPeopleItem.text}")
                            AccessibilityUtil.performClick(clientPeopleItem)
                            break
                        }
                    }
                }
                LogUtil.e(tag + "点击用户名 ${clientPeopleItem.text}")
                AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, clientPeopleItem)
                break
            }
        }
    }
}

/**
 * @auth lkj
 * @Date 2023/9/26 14:06
 * @Describe 点击弹框里的 我知道了
 */
fun clickIKnown(taskBean: TaskBean, index: Int, peopleNameList: List<String>, serialNumber: Int, companyname: String) {
    val iKnow = getRootCopy(taskBean)?.findAccessibilityNodeInfosByText("我知道了")
    if (iKnow != null && !iKnow.isEmpty() && iKnow.size > 0) {
        AccessibilityUtil.clickByNodeInScreen(WeworkController.weworkService, iKnow.get(0))
        Thread.sleep(NumberUtils.getRandom1000() - 2000)
        selectOver(taskBean, peopleNameList, serialNumber, companyname)
    } else {
        LogUtil.e(tag + "没找到 弹框里的 我知道了")
        if (index > 3) {
            LogUtil.e(tag + "不找了 直接右划 去掉弹框 再点击确定")
            if (WeworkController.weworkService.currentPackage.equals(Constant.PACKAGE_NAMES)) {
                if (!isAtHome(taskBean)) {
                    AccessibilityUtil.scrollByXY(WeworkController.weworkService, 0, 1000, 400, 0)
                    Thread.sleep(NumberUtils.getRandom1000() - 2000)
                }
            }
            selectOver(taskBean, peopleNameList, serialNumber, companyname)
        } else {
            LogUtil.e(tag + "继续找 我知道了")
            Thread.sleep(NumberUtils.getRandom1000() - 2000)
            clickIKnown(taskBean, index + 1, peopleNameList, serialNumber, companyname)
        }
    }
}

/**
 * @auth lkj
 * @Date 2023/6/5 17:36
 * @Describe 处理被删除后的人，在执行拉人入群时会产生弹框，将弹框处理掉
 */
fun removeExceptDialog(taskBean: TaskBean) {
    //根据resourceid找一下是否有异常弹窗
    LogUtil.e(tag + "检查弹框中的内容")
    val findAllByClazz = findAllByClazz(getRootCopy(taskBean), Views.TextView)
    var isHave: Boolean = false
    if (findAllByClazz != null) {
        if (!findAllByClazz.isEmpty() && findAllByClazz.size > 0) {
            for (textInfoNode in findAllByClazz) {
                if (!TextUtils.isEmpty(textInfoNode.text)) {
                    if (textInfoNode.text.toString().contains("对方将你加为联系人后")) {
                        isHave = true
                        LogUtil.e(tag + "对方将你加为联系人后")
                        break
                    }
                    if (textInfoNode.text.toString().contains("拒绝加入外部群聊")) {
                        LogUtil.e(tag + "拒绝加入外部群聊")
                        isHave = true
                        break
                    }
                    if (textInfoNode.text.toString().contains("添加成员失败")) {
                        LogUtil.e(tag + "添加成员失败")
                        isHave = true
                        break
                    }
                    if (textInfoNode.text.toString().contains("为了减少打扰")) {
                        LogUtil.e(tag + "添加成员失败")
                        isHave = true
                        break
                    }
                }
            }
            if (isHave) {
                for (textInfoNode in findAllByClazz) {
                    if (!TextUtils.isEmpty(textInfoNode.text)) {
                        if (textInfoNode.text.toString().equals("我知道了")) {
                            AccessibilityUtil.performClick(textInfoNode)
                            LogUtil.e(tag + "点弹框中的  我知道了")
                            Thread.sleep(NumberUtils.getRandom1000() - 2000)
                            break
                        }
                    }
                }
            }
        } else {
            LogUtil.e(tag + "findAllByClazz 寻找TextView为空")
        }
    } else {
        LogUtil.e(tag + "findAllByClazz 寻找TextView为空")
    }
}

/**
 * 获取屏幕上所有文字信息
 */
fun screenAllTextInfo(taskBean: TaskBean): StringBuilder {
    val allByClazz = findAllByClazz(getRootCopy(taskBean), Views.TextView)
    val builder = StringBuilder()
    var count = 0
    for (byClazz in allByClazz) {
        if (byClazz.text != null) {
            count++
            builder.append(count.toString() + ". " + byClazz.text.toString() + "  ")
        }
    }
    return builder
}
