package com.kuxuan.autoclick.utils;

import java.util.List;
import java.util.Random;

/**
 * 随机数工具类
 */
public class NumberUtils {

    /**
     * 生成1000 ~ 3000之间的随机数
     *
     * @return
     */
    public static long getRandom1000() {
        long s = 3000;
        try {
            int max = 4000;
            long min = 3000;
            Random random = new Random();
            s = random.nextInt(max) % (max - min + 1) + min;
//            LogUtil.e("当前生成的秒数为：" + s);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return s;
    }

    /**
     * 生成2 ~ 30之间的随机数
     *
     * @return
     */
    public static int getRandom10() {
        int max = 30;
        int min = 2;
        Random random = new Random();
        int s = random.nextInt(max) % (max - min + 1) + min;
        return s;
    }

    /**
     * x的坐标随机数 65 - 650 之间
     *
     * @return
     */
    public static int get65_650() {
        int max = 650;
        int min = 65;
        Random random = new Random();
        int s = random.nextInt(max) % (max - min + 1) + min;
        return s;
    }

    /**
     * y的坐标随机数
     *
     * @return
     */
    public static int getYpoint(int bottom) {
        int max = bottom - 40;
        int min = bottom - 40 - 5;
        Random random = new Random();
        int s = random.nextInt(max) % (max - min + 1) + min;
        return s;
    }

    /**
     * @auth lkj
     * @Date 2023/5/30 10:45
     * @Describe x y随机数
     */
    public static int getX_Y(int min, int max) {
        Random random = new Random();
        int s = random.nextInt(max) % (max - min + 1) + min;
        return s;
    }

    /**
     * @auth lkj
     * @Date 2023/6/2 10:50
     * @Describe 从List中随机出count个对象
     */
    public static void randomTopic(List<String> list, int count, List<String> rslist) {
        rslist.clear();
        // 创建一个长度为count(count<=list)的数组,用于存随机数
//        int[] a = new int[count];
//        // 利于此数组产生随机数
//        int[] b = new int[list.size()];
//        int size = list.size();
//
//        // 取样填充至数组a满
//        for (int i = 0; i < count; i++) {
//            int num = (int) (Math.random() * size); // [0,size)
//            int where = -1;
//            for (int j = 0; j < b.length; j++) {
//                if (b[j] != -1) {
//                    where++;
//                    if (where == num) {
//                        b[j] = -1;
//                        a[i] = j;
//                    }
//                }
//            }
//            size = size - 1;
//        }
        // a填满后 将数据加载到rslist
//        List<String> rslist = new ArrayList<String>();
        if (list.size() >= count) {
            for (int i = 0; i < count; i++) {
                String df = list.get(i);
                rslist.add(df);
            }
        } else {
            LogUtil.e("选择数量大于 仅存数量：list.size()==" + list.size() + "  count==" + count);
            count = list.size();
            for (int i = 0; i < count; i++) {
                String df = list.get(i);
                rslist.add(df);
            }

        }
//        return rslist;
    }

}
